Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 817551 - CVE-2012-2111 samba: Incorrect permission checks when granting/removing privileges [fedora-all]
Summary: CVE-2012-2111 samba: Incorrect permission checks when granting/removing privi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 16
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-30 13:29 UTC by Jan Lieskovsky
Modified: 2012-05-08 04:16 UTC (History)
5 users (show)

Fixed In Version: samba4-4.0.0-47alpha18.fc17
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-02 20:57:14 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2012-04-30 13:29:20 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=813569

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2012-04-30 15:01:37 UTC
samba-3.6.5-85.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/samba-3.6.5-85.fc16

Comment 2 Fedora Update System 2012-04-30 15:15:18 UTC
samba-3.5.15-74.fc15.1 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/samba-3.5.15-74.fc15.1

Comment 3 Fedora Update System 2012-04-30 15:17:32 UTC
samba-3.6.5-85.fc17.1 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba-3.6.5-85.fc17.1

Comment 4 Fedora Update System 2012-04-30 15:41:34 UTC
samba4-4.0.0-44alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-44alpha18.fc17

Comment 5 Fedora Update System 2012-04-30 18:47:12 UTC
Package samba4-4.0.0-44alpha18.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba4-4.0.0-44alpha18.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6931/samba4-4.0.0-44alpha18.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-05-02 14:16:15 UTC
samba4-4.0.0-45alpha18.fc17, evolution-mapi-3.4.1-1.fc17, openchange-1.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/evolution-mapi-3.4.1-1.fc17,openchange-1.0-3.fc17,samba4-4.0.0-45alpha18.fc17

Comment 7 Fedora Update System 2012-05-02 20:57:14 UTC
samba-3.6.5-85.fc17.1 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-05-03 07:20:59 UTC
samba-3.5.15-74.fc15.1 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-05-03 07:23:26 UTC
samba-3.6.5-85.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-05-03 11:05:13 UTC
samba4-4.0.0-46alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-46alpha18.fc17

Comment 11 Fedora Update System 2012-05-04 15:48:12 UTC
samba4-4.0.0-47alpha18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba4-4.0.0-47alpha18.fc17

Comment 12 Fedora Update System 2012-05-08 04:16:12 UTC
samba4-4.0.0-47alpha18.fc17, evolution-mapi-3.4.1-3.fc17, openchange-1.0-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.